org.scalatest.matchers.Matchers

# NotWord

#### class NotWord extends AnyRef

This class is part of the ScalaTest matchers DSL. Please see the documentation for `ShouldMatchers` or `MustMatchers` for an overview of the matchers DSL.

Attributes
  final

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. NotWord
2. AnyRef
3. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new NotWord ()

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def apply [S] (beMatcher: BeMatcher[S]): BeMatcher[S]

   This method enables any `BeMatcher` to be negated by passing it to `not`.

   This method enables any `BeMatcher` to be negated by passing it to `not`. For example, if you have a `BeMatcher[Int]` called `odd`, which matches `Int`s that are odd, you can negate it to get a `BeMatcher[Int]` that matches even `Int`s, like this:

       val even = not (odd)
                      ^

   In addition, this method enables you to negate a `BeMatcher` at its point of use, like this:

       num should be (not (odd))

   Nevertheless, in such as case it would be more idiomatic to write:

       num should not be (odd)

7. #### def apply [S] (matcher: Matcher[S]): Matcher[S]

   This method enables the following syntax, where `tempFile`, for example, refers to a `java.io.File` and `exist` is a `Matcher[java.io.File]`:

   This method enables the following syntax, where `tempFile`, for example, refers to a `java.io.File` and `exist` is a `Matcher[java.io.File]`:

       tempFile should not (exist)
                           ^

8. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

9. #### def be (right: Any): Matcher[Any]

   This method enables `be` to be used for inequality comparison.

   This method enables `be` to be used for inequality comparison. Here are some examples:

       result should not be (None)

       result should not be (Some(1))

       result should not be (true)

       result should not be (false)

       sum should not be (19)
                         ^

10. #### def be (byteTolerance: ByteTolerance): Matcher[Byte]

    This method enables the following syntax:

    This method enables the following syntax:

        sevenByte should ((not be (19.toByte plusOrMinus 2.toByte)) and (not be (29.toByte plusOrMinus 2.toByte)))
                               ^

11. #### def be (shortTolerance: ShortTolerance): Matcher[Short]

    This method enables the following syntax:

    This method enables the following syntax:

        sevenShort should ((not be (19.toShort plusOrMinus 2.toShort)) and (not be (29.toShort plusOrMinus 2.toShort)))
                                ^

12. #### def be (intTolerance: IntTolerance): Matcher[Int]

    This method enables the following syntax:

    This method enables the following syntax:

        sevenInt should ((not be (19 plusOrMinus 2)) and (not be (29 plusOrMinus 2)))
                              ^

13. #### def be (longTolerance: LongTolerance): Matcher[Long]

    This method enables the following syntax:

    This method enables the following syntax:

        sevenLong should ((not be (19L plusOrMinus 2L)) and (not be (29L plusOrMinus 2L)))
                               ^

14. #### def be (floatTolerance: FloatTolerance): Matcher[Float]

    This method enables the following syntax:

    This method enables the following syntax:

        sevenDotOhFloat should ((not be (17.1f plusOrMinus 0.2f)) and (not be (27.1f plusOrMinus 0.2f)))
                                ^

15. #### def be (doubleTolerance: DoubleTolerance): Matcher[Double]

    This method enables the following syntax:

    This method enables the following syntax:

        sevenDotOh should ((not be (17.1 plusOrMinus 0.2)) and (not be (27.1 plusOrMinus 0.2)))
                                ^

16. #### def be [T <: AnyRef] (resultOfTheSameInstanceAsApplication: ResultOfTheSameInstanceAsApplication): Matcher[T]

    This method enables the following syntax:

    This method enables the following syntax:

        myFish should (not be theSameInstanceAs (redFish) and not be theSameInstanceAs (blueFish))
                           ^

17. #### def be [T <: AnyRef] (resultOfAnWordApplication: ResultOfAnWordToBePropertyMatcherApplication[T]): Matcher[T]

    This method enables the following syntax:

    This method enables the following syntax:

        myFile should (not be an (directory) and not be an (directory))
                           ^

18. #### def be [T <: AnyRef] (resultOfAnWordApplication: ResultOfAnWordToSymbolApplication): Matcher[T]

    This method enables the following syntax:

    This method enables the following syntax:

        isNotAppleMock should (not be an ('apple) and not be ('rotten))
                                   ^

19. #### def be [T <: AnyRef] (resultOfAWordApplication: ResultOfAWordToBePropertyMatcherApplication[T]): Matcher[T]

    This method enables the following syntax, where `notSoSecretFile`, for example, refers to a `java.io.File` and `directory` is a `BePropertyMatcher[java.io.File]`:

    This method enables the following syntax, where `notSoSecretFile`, for example, refers to a `java.io.File` and `directory` is a `BePropertyMatcher[java.io.File]`:

        notSoSecretFile should (not be a (directory) and have ('name ("passwords.txt")))
                                    ^

20. #### def be [T <: AnyRef] (resultOfAWordApplication: ResultOfAWordToSymbolApplication): Matcher[T]

    This method enables the following syntax:

    This method enables the following syntax:

        isNotFileMock should (not be a ('file) and have ('name ("temp.txt"))))
                                  ^

21. #### def be [T <: AnyRef] (bePropertyMatcher: BePropertyMatcher[T]): Matcher[T]

    This method enables the following syntax, where `tempFile`, for example, refers to a `java.io.File` and `hidden` is a `BePropertyMatcher[java.io.File]`:

    This method enables the following syntax, where `tempFile`, for example, refers to a `java.io.File` and `hidden` is a `BePropertyMatcher[java.io.File]`:

        tempFile should (not be (hidden) and have ('name ("temp.txt")))
                           ^

22. #### def be [T <: AnyRef] (symbol: Symbol): Matcher[T]

    This method enables the following syntax:

    This method enables the following syntax:

        myFile should (not be ('hidden) and have (name ("temp.txt")))
                           ^

23. #### def be (resultOfTripleEqualsApplication: ResultOfTripleEqualsApplication): Matcher[Any]

    This method enables the following syntax:

    This method enables the following syntax:

        num should (not be === (7) and not be === (10))
                        ^

24. #### def be [T] (resultOfGreaterThanOrEqualToComparison: ResultOfGreaterThanOrEqualToComparison[T]): Matcher[T]

    This method enables the following syntax:

    This method enables the following syntax:

        num should (not be >= (10) and not be < (7))
                        ^

25. #### def be [T] (resultOfLessThanOrEqualToComparison: ResultOfLessThanOrEqualToComparison[T]): Matcher[T]

    This method enables the following syntax:

    This method enables the following syntax:

        num should (not be <= (7) and not be > (10))
                        ^

26. #### def be [T] (resultOfGreaterThanComparison: ResultOfGreaterThanComparison[T]): Matcher[T]

    This method enables the following syntax:

    This method enables the following syntax:

        num should (not be > (10) and not be < (7))
                        ^

27. #### def be [T] (resultOfLessThanComparison: ResultOfLessThanComparison[T]): Matcher[T]

    This method enables the following syntax:

    This method enables the following syntax:

        num should (not be < (7) and not be > (10))
                        ^

28. #### def be (o: Null): Matcher[AnyRef]

    This method enables the following syntax:

    This method enables the following syntax:

        map should (not be (null))
                        ^

29. #### def be [T] (beMatcher: BeMatcher[T]): Matcher[T]

    This method enables the following syntax, where, for example, `num` is an `Int` and `odd` of type `BeMatcher[Int]`:

    This method enables the following syntax, where, for example, `num` is an `Int` and `odd` of type `BeMatcher[Int]`:

        num should (not be (odd) and be <= (8))
                        ^

30. #### def clone (): AnyRef

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

31. #### def contain [K, V] (resultOfValueWordApplication: ResultOfValueWordApplication[V]): Matcher[scala.collection.Map[_, V]]

    This method enables the following syntax:

    This method enables the following syntax:

        Map("one" -> 1, "two" -> 2) should (not contain value (3))
                                                ^

32. #### def contain [K] (resultOfKeyWordApplication: ResultOfKeyWordApplication[K]): Matcher[Map[K, Any]]

    This method enables the following syntax:

    This method enables the following syntax:

        Map("one" -> 1, "two" -> 2) should (not contain key ("three"))
                                                ^

33. #### def contain [T] (expectedElement: T): Matcher[Traversable[T]]

    This method enables the following syntax:

    This method enables the following syntax:

        Array(1, 2) should (not contain (5) and not contain (3))
                                ^

34. #### def endWith (expectedSubstring: String): Matcher[String]

    This method enables the following syntax:

    This method enables the following syntax:

        string should (not endWith ("blue") and not endWith ("1.7"))
                           ^

35. #### def endWith (resultOfRegexWordApplication: ResultOfRegexWordApplication): Matcher[String]

    This method enables the following syntax:

    This method enables the following syntax:

        string should (not endWith regex ("wor.d") and not startWith regex ("Hel*o"))
                           ^

36. #### def eq (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

37. #### def equal (right: Any): Matcher[Any]

    This method enables the following syntax:

    This method enables the following syntax:

        num should (not equal (7) and be < (9))
                        ^

38. #### def equals (arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

39. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

40. #### def fullyMatch (resultOfRegexWordApplication: ResultOfRegexWordApplication): Matcher[String]

    This method enables the following syntax:

    This method enables the following syntax:

        string should (not fullyMatch regex ("Hel*o") and not include ("orld"))
                           ^

41. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

42. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

43. #### def have [T] (firstPropertyMatcher: org.scalatest.matchers.HavePropertyMatcher[T, _], propertyMatchers: org.scalatest.matchers.HavePropertyMatcher[T, _]*): Matcher[T]

    This method enables the following syntax, where, for example, `book` is of type `Book` and `title` and `author` are both of type `HavePropertyMatcher[Book, String]`:

    This method enables the following syntax, where, for example, `book` is of type `Book` and `title` and `author` are both of type `HavePropertyMatcher[Book, String]`:

        book should (not have (title ("Moby Dick")) and (not have (author ("Melville"))))
                         ^

44. #### def have (resultOfSizeWordApplication: ResultOfSizeWordApplication): Matcher[AnyRef]

    This method enables the following syntax:

    This method enables the following syntax:

        Array(1, 2) should (not have size (5) and not have size (3))
                                ^

45. #### def have (resultOfLengthWordApplication: ResultOfLengthWordApplication): Matcher[AnyRef]

    This method enables the following syntax:

    This method enables the following syntax:

        Array(1, 2) should (not have length (5) and not have length (3))
                                ^

46. #### def include (expectedSubstring: String): Matcher[String]

    This method enables the following syntax:

    This method enables the following syntax:

        string should (not include ("cat") and not include ("1.7"))
                           ^

47. #### def include (resultOfRegexWordApplication: ResultOfRegexWordApplication): Matcher[String]

    This method enables the following syntax:

    This method enables the following syntax:

        string should (not include regex ("Hel.o") and not include regex ("""(-)?(\d+)(\.\d*)?"""))
                           ^

48. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

49. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

50. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

51. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

52. #### def startWith (expectedSubstring: String): Matcher[String]

    This method enables the following syntax:

    This method enables the following syntax:

        string should ((not startWith ("red")) and (not startWith ("1.7")))
                            ^

53. #### def startWith (resultOfRegexWordApplication: ResultOfRegexWordApplication): Matcher[String]

    This method enables the following syntax:

    This method enables the following syntax:

        string should (not startWith regex ("hel*o") and not endWith regex ("wor.d"))
                           ^

54. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

55. #### def toString (): String

    Definition Classes
      AnyRef → Any

56. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

57. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

58. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from AnyRef

### Inherited from Any